Summary:	Calendar application for GNOME
Summary(pl.UTF-8):	Aplikacja kalendarza dla GNOME
Name:		gnome-calendar
Version:	3.26.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-calendar/3.26/%{name}-%{version}.tar.xz
# Source0-md5:	531ce46e773e1542642e29baf28b081b
URL:		https://wiki.gnome.org/Apps/Calendar
BuildRequires:	appstream-glib-devel
BuildRequires:	evolution-data-server-devel >= 3.18.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gnome-online-accounts-devel >= 3.2.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.22.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libical-devel >= 1.0.1
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	meson >= 0.42.0
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.44.0
Requires:	evolution-data-server >= 3.18.0
Requires:	glib2 >= 1:2.44.0
Requires:	gnome-online-accounts >= 3.2.0
Requires:	gsettings-desktop-schemas >= 3.22.0
Requires:	gtk+3 >= 3.22.0
Requires:	hicolor-icon-theme
Requires:	libical >= 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Calendar is a simple and beautiful calendar application designed
to perfectly fit the GNOME desktop. By reusing the components which
the GNOME desktop is build on, Calendar nicely integrates with the
GNOME ecosystem.

%description -l pl.UTF-8
GNOME Calendar to prosta i ładna aplikacja kalendarza zaprojektowana
tak, aby idealnie pasowała do środowiska GNOME. Poprzez używanie tych
samych komponentów, z których zbudowane jest środowisko, Calendar
ładnie integruje się z ekosystemem GNOME.

%prep
%setup -q

%build
%meson build
%ninja -C build

%install
rm -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT \
%ninja -C build install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CONTRIBUTING.md ChangeLog HACKING.md NEWS README.md THANKS.md TODO.md
%attr(755,root,root) %{_bindir}/gnome-calendar
%{_datadir}/metainfo/org.gnome.Calendar.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini
%{_desktopdir}/org.gnome.Calendar.desktop
%{_iconsdir}/hicolor/*x*/apps/org.gnome.Calendar.png
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Calendar-symbolic.svg
%changelog
* Thu Oct 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-calendar.git;a=log;h=master

* Thu Oct 05 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7a7480b
- Update to 3.26.2

* Sun Oct 01 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 8d46483
- Update to 3.26.1

* Fri Jun 23 2017 Jakub Bogusz <qboosh@pld-linux.org> a009199
- updated to 3.24.3

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 2f705ee
- updated to 3.24.2

* Mon Apr 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> b453feb
- Update to 3.24.1

* Mon Mar 27 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 39edbba
- Update to 3.24.0

* Tue Feb 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> b4746e7
- Update to 3.22.3

* Sun Dec 25 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d05a41b
- Update to 3.22.2

* Sun Oct 02 2016 Marcin Banasiak <marcin.banasiak@gmail.com> b458685
- Update to 3.22.1

* Fri Jun 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 43a8fd2
- updated to 3.20.2

* Thu Apr 14 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 42140e2
- Update to 3.20.1

* Thu Apr 07 2016 Paweł Gołaszewski <blues@pld-linux.org> a4ddcff
- rel.2 - gtk+3 3.20 or newer required

* Tue Apr 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> a4bc553
- Update to 3.20.0

* Sat Dec 26 2015 Marcin Banasiak <marcin.banasiak@gmail.com> e3d5740
- Update to 3.18.2.1

* Sun Oct 18 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 1b5dc16
- Update to 3.18.1

* Thu Oct 01 2015 Marcin Banasiak <marcin.banasiak@gmail.com> f6b1bb2
- Update to 3.18.0

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> b1d04eb
- .tar.xz deps

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 6a3117c
- new

